# Uses of Interface
org.opensaml.saml.saml1.core.Evidence

Packages that use Evidence
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.

## Uses of Evidence in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return Evidence
Modifier and Type
Method
Description
`Evidence`
AuthorizationDecisionQuery.`getEvidence()`
Get the Evidence child element.
`Evidence`
AuthorizationDecisionStatement.`getEvidence()`
Get the evidence.
Methods in org.opensaml.saml.saml1.core with parameters of type Evidence
Modifier and Type
Method
Description
`void`
AuthorizationDecisionQuery.`setEvidence(Evidence evidence)`
Set the Evidence child element.
`void`
AuthorizationDecisionStatement.`setEvidence(Evidence evidence)`
Set the evidence.

## Uses of Evidence in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement Evidence
Modifier and Type
Class
Description
`class`
`EvidenceImpl`
Concrete implementation of the `Evidence` interface.
Fields in org.opensaml.saml.saml1.core.impl declared as Evidence
Modifier and Type
Field
Description
`private Evidence`
AuthorizationDecisionQueryImpl.`evidence`
Contains the Evidence child element.
`private Evidence`
AuthorizationDecisionStatementImpl.`evidence`
Contains the (single) Evidence element.
Methods in org.opensaml.saml.saml1.core.impl that return Evidence
Modifier and Type
Method
Description
`Evidence`
EvidenceBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Evidence`
EvidenceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Evidence`
AuthorizationDecisionQueryImpl.`getEvidence()`
Get the Evidence child element.
`Evidence`
AuthorizationDecisionStatementImpl.`getEvidence()`
Get the evidence.
Methods in org.opensaml.saml.saml1.core.impl with parameters of type Evidence
Modifier and Type
Method
Description
`void`
AuthorizationDecisionQueryImpl.`setEvidence(Evidence ev)`
Set the Evidence child element.
`void`
AuthorizationDecisionStatementImpl.`setEvidence(Evidence ev)`
Set the evidence.